Name:           superkb
Version:        0.22
Release:        3%{?dist}
Summary:        Graphical application launcher for Linux
License:        GPLv2
URL:            http://superkb.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         patch-drawklib.patch
Patch1:         patch-imagelib.patch
Patch2:         patch-makeinstall.patch
BuildRequires:  libXinerama-devel
BuildRequires:  gdk-pixbuf2-devel
BuildRequires:  imlib2-devel
BuildRequires:  cairo-devel
BuildRequires:  pango-devel
BuildRequires:  libXft-devel
BuildRequires:  xorg-x11-proto-devel

%description
Graphical application launcher for Linux. It works by activating
upon a hot key press, usually Super_L or Super_R. On activation it shows a
keyboard on screen with the keys and its corresponding actions


%prep
%setup -q
%patch0
%patch1
%patch2
iconv -f iso8859-1 -t utf-8 changelog.en.txt > changelog.en.txt.conv && mv -f changelog.en.txt.conv changelog.en.txt
iconv -f iso8859-1 -t utf-8 changelog.es.txt > changelog.es.txt.conv && mv -f changelog.es.txt.conv changelog.es.txt
chmod a-x LICENSE

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIB_PREFIX=%{_libdir} FED_FLAGS="%{optflags} -Wno-return-type -Wno-unused-result -Wno-maybe-uninitialized -Wno-deprecated-declarations -Wno-unused-variable"


%install
make install DESTDIR=%{buildroot} PREFIX=%{_prefix} LIB_PREFIX=%{_libdir}


%files
%doc LICENSE changelog.en.txt changelog.es.txt
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/drawkblibs-cairo.so
%{_libdir}/%{name}/drawkblibs-xlib.so
%{_libdir}/%{name}/puticon-gdkpixbuf.so
%{_libdir}/%{name}/puticon-imlib2.so
%attr(0644, root, root)  %{_mandir}/man1/superkb.1.*


%changelog
* Wed Jul 03 2013 Ruben Guerra Marin <rugebiker@fedoraproject.org> 0.22-3
- Removed duplicated file superkb.1.gz

* Mon Jul 01 2013 Ruben Guerra Marin <rugebiker@fedoraproject.org> 0.22-2
- Fixed the SPEC to comply with the Fedora flags

* Sun Jun 23 2013 Ruben Guerra Marin <rugebiker@fedoraproject.org> 0.22-1
- Initial version of the package
